<?php
/** ----------------------------------------------------------------------------
 **
 *F cart.php
 **
 ** WEB-Shop Software http://www.webs.de
 **
 ** ----------------------------------------------------------------------------
 ** based on:
 **  (c) 2000-2001 The Exchange Project (earlier name of osCommerce)
 **  (c) 2002-2003 osCommerce; www.oscommerce.com
 **  (c) 2003 nextcommerce; www.nextcommerce.org
 **  (c) 2003 XT-Commerce
 **
 ** Released under the GNU General Public License
 **
 ** @author
 ** @version $Id: cart.php 1943 2011-02-07 23:41:14Z DocOlson $
 ** @copyright 2011 WEB-Shop Software http://www.webs.de/
 **
 ** ------------------------------------------------------------------------- */

if (
    strstr($PHP_SELF, FILENAME_CHECKOUT_PAYMENT) ||
    strstr($PHP_SELF, FILENAME_CHECKOUT_CONFIRMATION) ||
    strstr($PHP_SELF, FILENAME_CHECKOUT_SHIPPING)
){
    //return;
}

require_once (DIR_FS_INC.'xtc_recalculate_price.inc.php');
$box = new box();
$box->caching = 0;

if ( $_SESSION['cart']->count_contents() > 0 ) {
	$products = $_SESSION['cart']->get_products();
	$products_in_cart = array();
	$qty = 0;

	foreach ( $products as $prd ) {
		$qty += $prd['quantity'];

		$prd_id = explode('{', $prd['id']);
		$prd_id = $prd_id[0];

		$md5 = explode('.', $prd['image']);
		$md5 = $md5[0];

		$res = xtc_db_query("SELECT img_id FROM image WHERE img_md5 = '$md5'");
		$row = xtc_db_fetch_array($res);
		$img_id = $row['img_id'];

		$products_in_cart[] = array (
			'ID' => $prd_id,
			'IMAGE' => $prd['image'],
			'IMAGE_ID' => $img_id,
			'QTY' => $prd['quantity'],
			'LINK' => xtc_href_link(FILENAME_PRODUCT_INFO, xtc_product_link($prd['id'], $prd['name'])),
			'NAME' => $prd['name'],
			'PRICE' => $xtPrice->xtcFormat($prd['final_price'], true)
		);
	}
	$box->assign('PRODUCTS', $qty);
}

if ($_SESSION['cart']->count_contents() > 0) {

	$total = $_SESSION['cart']->show_total();

	if ( $_SESSION['customers_status']['customers_status_ot_discount_flag'] == '1' &&
 		 $_SESSION['customers_status']['customers_status_ot_discount'] != '0.00' ) {

		 if ( $_SESSION['customers_status']['customers_status_show_price_tax'] == 0 &&
		 	  $_SESSION['customers_status']['customers_status_add_tax_ot'] == 1
            ) {
			$price = $total-$_SESSION['cart']->show_tax(false);
		} else {
			$price = $total;
		}

		$discount = $xtPrice->xtcGetDC($price, $_SESSION['customers_status']['customers_status_ot_discount']);
		$box->assign(
			'DISCOUNT',
			$xtPrice->xtcFormat(($discount * (-1)), $price_special = 1, $calculate_currencies = false)
		);
	}

	if ($_SESSION['customers_status']['customers_status_show_price'] == '1') {
		if ( $_SESSION['customers_status']['customers_status_show_price_tax'] == 0 &&
			 $_SESSION['customers_status']['customers_status_add_tax_ot'] == 0 ) {

			 $total -= $discount;
		}

		if ( $_SESSION['customers_status']['customers_status_show_price_tax'] == 0 &&
			 $_SESSION['customers_status']['customers_status_add_tax_ot'] == 1) {

			 $total -= $discount;
		}

		if ( $_SESSION['customers_status']['customers_status_show_price_tax'] == 1 ) {
			 $total -= $discount;
		}

		$box->assign('CART_TOTAL', $xtPrice->xtcFormat($total, true));
	}

	$box->assign('UST', $_SESSION['cart']->show_tax());

	if (SHOW_SHIPPING == 'true') {
		$box->assign(
			'SHIPPING_INFO',
			' '.SHIPPING_EXCL.'<a href="'
			. xtc_href_link(FILENAME_CONTENT, 'coID='.SHIPPING_INFOS).'"> '
			. SHIPPING_COSTS.'</a>'
		);
	}
}

if ( ACTIVATE_GIFT_SYSTEM == 'true' ) {
	$box->assign('ACTIVATE_GIFT', true);
}

if ( isset ($_SESSION['customer_id']) ) {
	$res = xtc_db_query(
		"SELECT amount FROM " . TABLE_COUPON_GV_CUSTOMER . "
		 WHERE customer_id = '".$_SESSION['customer_id']."'"
	);

	$row = xtc_db_fetch_array($res);

	if ( $row['amount'] > 0 ) {
		$box->assign('GV_AMOUNT', $xtPrice->xtcFormat($row['amount'], true, 0, true));
		$box->assign('GV_SEND_TO_FRIEND_LINK', '<a href="' . xtc_href_link(FILENAME_GV_SEND) . '">');
	}
}

if ( isset($_SESSION['gv_id']) ) {

	$res = xtc_db_query(
		"SELECT coupon_amount FROM ".TABLE_COUPONS."
		 WHERE coupon_id = '".$_SESSION['gv_id']."'"
	);

	$row = xtc_db_fetch_array($res);
	$box->assign('COUPON_AMOUNT2', $xtPrice->xtcFormat($row['coupon_amount'], true, 0, true));
}

if ( isset($_SESSION['cc_id']) ) {
	$box->assign(
		'COUPON_HELP_LINK',
		'<a href="javascript:popupWindow(\''
		. xtc_href_link(FILENAME_POPUP_COUPON_HELP, 'cID='.$_SESSION['cc_id']).'\')">'
	);
}

$box->assign('LINK_CART', xtc_href_link(FILENAME_SHOPPING_CART, '', 'SSL'));
$box->assign('LINK_CHECKOUT', xtc_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));

$box->assign(
	'BUTTON_CHECKOUT',
	'<a href="'.xtc_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL').'">'
	.xtc_image_button('button_checkout_small.gif', IMAGE_BUTTON_CHECKOUT).'</a>'
);

$box->assign(
	'BUTTON_CART',
	'<a href="'.xtc_href_link(FILENAME_SHOPPING_CART, '', 'SSL').'">'
	.xtc_image_button('button_cart.gif', IMAGE_BUTTON_CART).'</a>'
);

$box->assign('products', $products_in_cart);

$smarty->assign('box_CART', $box->fetch('cart.html'));
